Mail archive
alpine-aports

[alpine-aports] [PATCH] main/datamash: new aport

From: Assaf Gordon <assafgordon_at_gmail.com>
Date: Sat, 1 Jul 2017 00:53:03 +0000

https://www.gnu.org/software/datamash/

GNU Datamash is command-line program which performs basic
numeric,textual and statistical operations on input textual
data files.

Includes 2 sub-packages:
  datamash-doc (man page + info file)
  datamash-bash-completion
---
Hello,
I'd like to suggest a new alpine package for GNU Datamash.
It is a single binary (/usr/bin/datamash) which is useful for command-line
operations. Usage examples available here:
  https://www.gnu.org/software/datamash/examples/
(disclaimier: I'm datamash's developer).
Comments welcomed,
Regards,
 -assaf
 main/datamash/APKBUILD | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)
 create mode 100644 main/datamash/APKBUILD
diff --git a/main/datamash/APKBUILD b/main/datamash/APKBUILD
new file mode 100644
index 0000000..55771ea
--- /dev/null
+++ b/main/datamash/APKBUILD
_at_@ -0,0 +1,52 @@
+# Contributor: Assaf Gordon <assafgordon_at_gmail.com>
+pkgname=datamash
+pkgver=1.1.1
+pkgrel=0
+
+pkgdesc="command-line text/math processing"
+url="https://www.gnu.org/software/datamash/"
+arch="all"
+license="GPL"
+source="http://ftpmirror.gnu.org/datamash/$pkgname-$pkgver.tar.gz"
+subpackages="$pkgname-doc $pkgname-bash-completion:bashcomp:noarch"
+
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--disable-nls \
+		--disable-werror \
+		--with-bash-completion-dir=yes \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+
+	make -j1 DESTDIR="$pkgdir" install || return 1
+	rm -rf "$pkgdir"/usr/share/datamash/examples \
+		"$pkgdir"/usr/lib/charset.alias \
+		|| return 1
+}
+
+bashcomp() {
+	depends=""
+	pkgdesc="Bash completions for $pkgname"
+	install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
+
+	mkdir -p "$subpkgdir"/usr/share/bash-completion/completions/ || return 1
+	mv "$pkgdir"/usr/share/datamash/bash-completion.d/datamash \
+		"$subpkgdir"/usr/share/bash-completion/completions/ || return 1
+}
+
+md5sums="cb917de6a108e20b31aa817cd76463a8  datamash-1.1.1.tar.gz"
+sha256sums="420819b3d7372ee3ce704add847cff7d08c4f8176c1d48735d4a632410bb801b  datamash-1.1.1.tar.gz"
+sha511sums="8932ed5ec357348108cd559acada3bfdc12ee4e360d709d74a6a661bc55f80223baa493d9185be8816b550ef86ff1f760249deb77cbeee9aa1f4178043a1938f  datamash-1.1.1.tar.gz"
-- 
2.1.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Jul 01 2017 - 00:53:03 UTC